<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white"
    android:orientation="vertical">

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_margin="@dimen/common_padding"
        android:scrollbars="none">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/common_padding_huge"
                android:layout_marginBottom="@dimen/common_padding"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:text="@string/group_name"
                    android:textSize="@dimen/text_size_medium" />

                <TextView
                    android:id="@+id/group_name"
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_marginStart="@dimen/common_padding"
                    android:layout_weight="1"
                    android:background="@color/white"
                    android:gravity="end"
                    android:singleLine="true"
                    android:textSize="@dimen/text_size_medium" />
            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/line"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:background="@color/line_color" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:text="@string/group_number"
                    android:textSize="@dimen/text_size_medium" />

                <TextView
                    android:id="@+id/group_number"
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_marginStart="@dimen/common_padding"
                    android:layout_weight="1"
                    android:background="@color/white"
                    android:gravity="end"
                    android:singleLine="true"
                    android:textSize="@dimen/text_size_medium" />
            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/line"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:background="@color/line_color" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:text="@string/group_customer"
                    android:textSize="@dimen/text_size_medium" />

                <TextView
                    android:id="@+id/group_customer"
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_marginStart="@dimen/common_padding"
                    android:layout_weight="1"
                    android:background="@color/white"
                    android:gravity="end"
                    android:singleLine="true"
                    android:textSize="@dimen/text_size_medium" />
            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/line"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:background="@color/line_color" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:text="@string/visit_country"
                    android:textSize="@dimen/text_size_medium" />

                <TextView
                    android:id="@+id/visit_country"
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_marginStart="@dimen/common_padding"
                    android:layout_weight="1"
                    android:background="@color/white"
                    android:gravity="end"
                    android:singleLine="true"
                    android:textSize="@dimen/text_size_medium" />
            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/line"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:background="@color/line_color" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:text="@string/customer_type"
                    android:textSize="@dimen/text_size_medium" />

                <TextView
                    android:id="@+id/customer_type"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/common_padding"
                    android:layout_weight="1"
                    android:background="@color/white"
                    android:gravity="end"
                    android:hint="@string/please_select"
                    android:singleLine="true"
                    android:textColor="@color/text_color"
                    android:textColorHint="@color/hint_text_color"
                    android:textSize="@dimen/text_size_medium" />
            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/line"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:background="@color/line_color" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:text="@string/check_in_ticket_number"
                    android:textSize="@dimen/text_size_medium" />

                <TextView
                    android:id="@+id/check_in_code"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/common_padding"
                    android:layout_weight="1"
                    android:background="@color/white"
                    android:gravity="end"
                    android:hint="@string/wait_to_create"
                    android:singleLine="true"
                    android:textColorHint="@color/hint_text_color"
                    android:textSize="@dimen/text_size_medium" />
            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/line"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:background="@color/line_color" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:text="@string/predetermine_website"
                    android:textSize="@dimen/text_size_medium" />

                <TextView
                    android:id="@+id/predetermine_website"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/common_padding"
                    android:layout_weight="1"
                    android:background="@color/white"
                    android:gravity="end"
                    android:hint="@string/please_select"
                    android:singleLine="true"
                    android:textColor="@color/text_color"
                    android:textColorHint="@color/hint_text_color"
                    android:textSize="@dimen/text_size_medium" />
            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/line"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:background="@color/line_color" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:orientation="vertical">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/hotel_confirm_code"
                    android:textSize="@dimen/text_size_medium" />

                <com.pan_american.android.util.ScrollEditText
                    android:id="@+id/hotel_confirm_code"
                    android:layout_width="match_parent"
                    android:layout_height="60dp"
                    android:layout_marginTop="@dimen/common_padding" />
            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/line"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:background="@color/line_color" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:text="@string/located_city"
                    android:textSize="@dimen/text_size_medium" />

                <EditText
                    android:id="@+id/located_city"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/common_padding"
                    android:layout_weight="1"
                    android:background="@color/white"
                    android:gravity="end"
                    android:hint="@string/please_input"
                    android:importantForAutofill="no"
                    android:inputType="text"
                    android:singleLine="true"
                    android:textColor="@color/text_color"
                    android:textColorHint="@color/hint_text_color"
                    android:textSize="@dimen/text_size_medium" />
            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/line"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:background="@color/line_color" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:text="@string/hotel_name"
                    android:textSize="@dimen/text_size_medium" />

                <EditText
                    android:id="@+id/hotel_name"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/common_padding"
                    android:layout_weight="1"
                    android:background="@color/white"
                    android:gravity="end"
                    android:hint="@string/please_input"
                    android:importantForAutofill="no"
                    android:inputType="text"
                    android:singleLine="true"
                    android:textColor="@color/text_color"
                    android:textColorHint="@color/hint_text_color"
                    android:textSize="@dimen/text_size_medium" />
            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/line"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:background="@color/line_color" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:text="@string/hotel_tel"
                    android:textSize="@dimen/text_size_medium" />

                <EditText
                    android:id="@+id/hotel_tel"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/common_padding"
                    android:layout_weight="1"
                    android:background="@color/white"
                    android:gravity="end"
                    android:hint="@string/please_input"
                    android:importantForAutofill="no"
                    android:inputType="phone"
                    android:singleLine="true"
                    android:textColor="@color/text_color"
                    android:textColorHint="@color/hint_text_color"
                    android:textSize="@dimen/text_size_medium" />
            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/line"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:background="@color/line_color" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:orientation="vertical">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="start"
                    android:text="@string/hotel_location"
                    android:textSize="@dimen/text_size_medium" />

                <com.pan_american.android.util.ScrollEditText
                    android:id="@+id/hotel_location"
                    android:layout_width="match_parent"
                    android:layout_height="60dp"
                    android:layout_marginTop="@dimen/common_padding" />

            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/line"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:background="@color/line_color" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:text="@string/customer_name"
                    android:textSize="@dimen/text_size_medium" />

                <TextView
                    android:id="@+id/add_customer"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/common_padding"
                    android:background="@color/white"
                    android:gravity="end"
                    android:singleLine="true"
                    android:text="@string/add"
                    android:textColor="@color/text_color_blue"
                    android:textSize="@dimen/text_size_medium"
                    android:textStyle="bold" />
            </LinearLayout>

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/customer_list"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/common_padding" />

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/line"
                android:layout_marginBottom="@dimen/common_padding"
                android:background="@color/line_color" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:text="@string/check_in_start_time"
                    android:textSize="@dimen/text_size_medium" />

                <TextView
                    android:id="@+id/check_in_start_time"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/common_padding"
                    android:layout_weight="1"
                    android:background="@color/white"
                    android:gravity="end"
                    android:hint="@string/please_select"
                    android:singleLine="true"
                    android:textColor="@color/text_color"
                    android:textColorHint="@color/hint_text_color"
                    android:textSize="@dimen/text_size_medium" />
            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/line"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:background="@color/line_color" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:text="@string/check_in_end_time"
                    android:textSize="@dimen/text_size_medium" />

                <TextView
                    android:id="@+id/check_in_end_time"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/common_padding"
                    android:layout_weight="1"
                    android:background="@color/white"
                    android:gravity="end"
                    android:hint="@string/please_select"
                    android:singleLine="true"
                    android:textColor="@color/text_color"
                    android:textColorHint="@color/hint_text_color"
                    android:textSize="@dimen/text_size_medium" />
            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/line"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:background="@color/line_color" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:text="@string/check_in_type"
                    android:textSize="@dimen/text_size_medium" />

                <TextView
                    android:id="@+id/check_in_type"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/common_padding"
                    android:layout_weight="1"
                    android:background="@color/white"
                    android:gravity="end"
                    android:hint="@string/please_select"
                    android:singleLine="true"
                    android:textColor="@color/text_color"
                    android:textColorHint="@color/hint_text_color"
                    android:textSize="@dimen/text_size_medium" />
            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/line"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:background="@color/line_color" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:orientation="vertical">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="start"
                    android:text="@string/room_introduction"
                    android:textSize="@dimen/text_size_medium" />

                <com.pan_american.android.util.ScrollEditText
                    android:id="@+id/room_introduction"
                    android:layout_width="match_parent"
                    android:layout_height="120dp"
                    android:layout_marginTop="@dimen/common_padding" />

            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/line"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:background="@color/line_color" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding_huge"
                android:orientation="vertical">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="start"
                    android:text="@string/notes"
                    android:textSize="@dimen/text_size_medium" />

                <com.pan_american.android.util.ScrollEditText
                    android:id="@+id/hotel_notes"
                    android:layout_width="match_parent"
                    android:layout_height="120dp"
                    android:layout_marginTop="@dimen/common_padding" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="@dimen/button_height"
                android:layout_marginTop="@dimen/common_padding_huge"
                android:layout_marginBottom="50dp"
                android:orientation="horizontal">

                <TextView
                    android:id="@+id/save"
                    android:layout_width="0dp"
                    android:layout_height="@dimen/button_height"
                    android:layout_marginEnd="@dimen/common_padding_heavy"
                    android:layout_weight="1"
                    android:background="@drawable/shape_corner_solid_blue"
                    android:gravity="center"
                    android:text="@string/save"
                    android:textColor="@color/white"
                    android:textSize="@dimen/text_size_large"
                    android:textStyle="bold" />

                <TextView
                    android:id="@+id/next_page"
                    android:layout_width="0dp"
                    android:layout_height="@dimen/button_height"
                    android:layout_weight="1"
                    android:background="@drawable/shape_corner_solid_blue"
                    android:gravity="center"
                    android:text="@string/next_page"
                    android:textColor="@color/white"
                    android:textSize="@dimen/text_size_large"
                    android:textStyle="bold" />

            </LinearLayout>

        </LinearLayout>
    </ScrollView>
</LinearLayout>